
 LinHES - Bug # 146: RRD Tool needs to be implemented

Status: Closed Priority: Normal
Author: mihanson Category:
Created: 01/23/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: RRD Tool needs to be implemented.

History
01/24/2009 01:18 pm - tjc
Definitely missing...

04/09/2009 06:08 am - chrisj
I have sorted out howto get RRD running , still working on mbmon.

I had to make soem changes to the perl script's and will hope to have them combinded into one soon. I am attempting to make a web based 
configuration page for rrd as well. Should have it finished in the next week or so.

This was the steps that I took to get the basics running.

**Install hddtemp**

<code>cd /tmp
wget http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-0.3-beta15.tar.bz2
wget http://download.savannah.nongnu.org/releases/hddtemp/hddtemp.db
mv hddtemp.db /etc/hddtemp.db
tar -jxvf hddtemp-0.3-beta15.tar.bz2
cd hddtemp-0.3-beta15
sudo ./configure --with-db-path=/etc/hddtemp.db
sudo make
sudo make install
</code>

**Install Sysstat**

<code>
cd /tmp
wget http://pagesperso-orange.fr/sebastien.godard/sysstat-9.0.2.tar.gz
tar -zxvf sysstat-9.0.2.tar.gz
cd sysstat-9.0.2
sudo  ./configure
sudo make
sudo make install
</code>

**Install mbmon**

<code>
cd /tmp
wget http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/xmbmon/xmbmon205.tar.gz
tar -zxvf xmbmon205.tar.gz
cd xmbmon205
sudo  ./configure
sudo make
sudo make install
</code>

**Install RRD**

<code>
sudo pacman -S rrdtool
</code>

**Create rdd lib directory**

<code>
sudo mkdir /var/lib/rrd
</code>

**Add the folling to root's crontab**

<code>
# get hdd temps for rrdtool
*/5 * * * *         root        /usr/local/bin/rrd_hddtemp.pl > /dev/null
# get hdd io for rrdtool
*/5 * * * *         root        /usr/local/bin/rrd_disk.pl > /dev/null
# get ip traffic for rrdtool
*/5 * * * *         root        /usr/local/bin/rrd_traffic.pl > /dev/null
# get mem data for rrdtool
*/5 * * * *         root        /usr/local/bin/rrd_mem.pl > /dev/null
# get cpu data for rrdtool
*/5 * * * *         root        /usr/local/bin/rrd_cpu.pl > /dev/null
</code>

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04

Files
rdd-and-stuff.tgz 6.3 kB 04/09/2009 admin
